Foxit PDF SDK

Instance Methods | Properties | List of all members
FSSplitOutputSettingData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(void) | - set:add_before_or_after_orginal_name:custom_name:separator:is_overwrite:
| Set value. More...

## Properties
BOOL | add_before_or_after_orginal_name
| A boolean value is used to determine whether to add the custom name and number before or after the original PDF file name. Default value: NO. More...
NSString * | custom_name
| A string value used to be added before or after the original PDF file name to generate a new file name. Default value: L"". More...
BOOL | is_overwrite
| A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. Default value: NO. More...
NSString * | output_folder_path
| A valid folder path for the PDF documents generated by splitting. More...
NSString * | separator
| A string value used to inserted between the original PDF file name and the custom name to generate a new file name. Default value: L"". More...

## Detailed Description

This class represents setting data used to set the name and directory of the PDF documents generated by splitting.

## Method Documentation

## ◆ set:add_before_or_after_orginal_name:custom_name:separator:is_overwrite:()

- (void) set: |  | (NSString *) | output_folder_path
add_before_or_after_orginal_name: |  | (BOOL) | add_before_or_after_orginal_name
custom_name: |  | (NSString *) | custom_name
separator: |  | (NSString *) | separator
is_overwrite: |  | (BOOL) | is_overwrite

Set value.

Parameters

  [in] | output_folder_path | A valid folder path for the PDF documents generated by splitting. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.
  [in] | add_before_or_after_orginal_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. YES means a custom name and number will be added before the original PDF file name. NO means a custom name and number will be added after the original PDF file name.
  [in] | custom_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.
  [in] | separator | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.
  [in] | is_overwrite | A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. YES means that when the PDF document generated by splitting exists, it will be overwritten. NO means that when the PDF document generated by splitting exists, it will not be overwritten.

Returns
  None.

## Property Documentation

## ◆ add_before_or_after_orginal_name

- (BOOL) add_before_or_after_orginal_name
| read write nonatomic assign

A boolean value is used to determine whether to add the custom name and number before or after the original PDF file name. Default value: NO.

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. YES means a custom name and number will be added before the original PDF file name. NO means a custom name and number will be added after the original PDF file name.

## ◆ custom_name

- (NSString *) custom_name
| read write nonatomic weak

A string value used to be added before or after the original PDF file name to generate a new file name. Default value: L"".

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.

## ◆ is_overwrite

- (BOOL) is_overwrite
| read write nonatomic assign

A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. Default value: NO.

YES means that when the PDF document generated by splitting exists, it will be overwritten. NO means that when the PDF document generated by splitting exists, it will not be overwritten.

## ◆ output_folder_path

- (NSString *) output_folder_path
| read write nonatomic weak

A valid folder path for the PDF documents generated by splitting.

If the parameter split_doc_array of the called function FSSplitPDFDoc::startSplitByFileSize:setting_data:split_doc_array:split_callback: contains an object constructed using a constructor of FSSplitDocumentInfo with parameter file_reader or doc, then this value cannot be empty. Otherwise, this value can be empty. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.

## ◆ separator

- (NSString *) separator
| read write nonatomic weak

A string value used to inserted between the original PDF file name and the custom name to generate a new file name. Default value: L"".

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.